Because large enterprises must often perform phased upgrades, VMware View components are designed to be forward and backward compatible. VMware View 5.0 components are compatible with most VMware View 4.0.x, 4.5.x, and 4.6.x components.

Although components are forward and backward compatible, View Connection Server compatibility with View Agents is limited to interoperability during a View Connection Server upgrade or downgrade. You must upgrade View Agents as soon as possible to match the version of the View Connection Server that manages them.

Compatibility Matrix for VMware View Components lists the components of VMware View and shows whether they are compatible with other components whose version is different. For information about compatibility with VMware Infrastructure and vSphere, see Virtualization Software Requirements for View Connection Server.

Note

The View Portal component of VMware View 4.0.x has been changed so that with VMware View 4.5 and later versions, View Portal serves only as a web page for downloading the full Windows-based View Client and the full Mac-based View Client. For this reason, View Portal does not appear in the compatibility table. The Mac-based View Client is compatible only with View 4.5 and later components.

Compatibility Matrix for VMware View Components

View 5.0

View 4.x Components

Connection Server 4.6.x, 4.5.x, or 4.0.x

View Agent 4.6.x, 4.5.x, or 4.0.x

View Client 4.6.x, 4.5.x, or 4.0.x

Thin Client 4.6.x, 4.5.x, or 4.0.x

View Composer 2.6, 2.5, or 2.0

Connection Server 5.0

N/A

Yes

Yes

Yes

Limitations

Security Server 5.0 (PCoIP and RDP)

Yes

Yes

Yes

Yes

N/A

View Agent 5.0

No

N/A

Yes

Yes

No

View Client (Windows) 5.0

Yes

Yes

N/A

N/A

Yes

View Client (Mac) 4.6

4.5 and 4.6 only

4.5 and 4.6 only

N/A

N/A

2.5 and 2.6 only

View Client with Local Mode 5.0

4.5 and 4.6 only

4.5 and 4.6 only

4.5 and 4.6 only

No

2.5 and 2.6 only

Thin Client 4.6

Yes

Yes

N/A

N/A

Yes

View Composer 2.7

Limitations

4.5 and 4.6 only

N/A

N/A

N/A

Until both View Connection Server and View Composer are upgraded, View Composer operations do not work. If you have View Connection Server 5.0 and View Composer 2.0, 2.5, or 2.6, users can connect to their desktops, but no new linked-clone desktops can be created, and recompose, rebalance, and refresh operations do not work. Also, you cannot edit settings for linked-clone pools.

Important

As the table shows, View Agent 4.0.x is not compatible with View Composer 2.7. This limitation means that you must not use a View 4.0.x master image, or snapshot, when creating, recomposing, or refreshing a pool that uses features specific to View 5.0. These features, which were introduced with View 4.5, include using a system-disposable disk (SDD), using a Sysprep customization specification, and attaching a previously archived persistent disk to an existing desktop.

Although View Composer 2.7 can work with View Connection Server 4.0.x in a limited fashion, this setup is available only for cases where upgrading all View Connection Server instances during the same maintenance window is not feasible. Specifically, features that were introduced with View Composer 2.5, such as the ability to use SysPrep customization, are not available until you update to View Agent 4.5 or later.

Because View Client with Local Mode is a feature that was introduced with View 4.5, and its predecessor, Offline Desktop, was an experimental feature, View Client with Local Mode is not backward compatible with View 4.0.x components.